########################################################################
#
#  Mini LiveCD with icewm desktop
#
########################################################################

part / --size 4096 --fstype ext4

%include sl6-live-base.ks

%packages
# packages removed from @base
-bind-utils
-ed
-kexec-tools
-libaio
-libhugetlbfs
-microcode_ctl
-psacct
-quota
# from @fonts
dejavu-fonts-common
dejavu-sans-fonts
dejavu-sans-mono-fonts
dejavu-serif-fonts
fontpackages-filesystem
xorg-x11-fonts-misc

# login manager
gdm

# icewm desktop
@ice-desktop

## mini SL LiveCD specific changes

# packages to remove
-scenery-backgrounds
-xinetd
-smartmontools
-ql2100-firmware
-ql2200-firmware
-ql23xx-firmware
-ql2400-firmware
-ql2500-firmware
-qt3                        #  3.5 M
-samba-common               # 46 M
-samba-client               # 41 M
-samba-winbind-clients      #  3.4 M
-openafs                    # 15 M
-selinux-policy             # 10 M
-nmap                       #  7.2 M
-mysql-libs                 #  3.9 M
-words                      #  4.7 M
-openswan                   #  2.3 M
-nautilus                   # 18 M
-smp_utils                  # 10 M   (dependency)
-system-config-network-tui  #  4.8 M 
-system-config-kdump        #  1.1 M

# packages to add
ibus-gtk
thunderbird
firefox
NetworkManager-gnome

%end


%post

### save diskspace for MiniLiveCD
### this changes will survive MiniLiveCD install to harddisk !

# remove yumdb - will give a warning that "RPMDB altered outside of yum"
rm -rf /var/lib/yum/yumdb/*

# remove folders/files that use a lot of diskspace 
# and are not really needed for miniLiveCD
find /usr/share/doc/* -maxdepth 0 -type d  | grep -v HTML | while read d; do rm -rf $d; done
rm -rf /usr/share/info
rm -rf /usr/share/vim/vim7*/doc
rm -rf /usr/share/vim/vim7*/lang
find /usr/share/backgrounds -type f  | grep -v default | while read f; do rm -f $f; done

# remove all locale except en
find /usr/share/locale/* -maxdepth 0 -type d         | grep -v /en | while read d; do rm -rf $d; done
find /usr/share/i18n/locales/*  -maxdepth 0 -type f  | grep -v /en | while read d; do rm -rf $d; done

%end
